Copyright: Sebastian Modersohn Softwaredevelopment


The Hifibutton control
SMWCC 2.0 (Hifibutton)

This is a shareware product. This allows you to try the software before you buy it. If after evaluating this control, you decide to continue using it, you are required to register the control by remitting the registration fee of $10 to us.

See How to register for information on registering this control.

The Hifibtn control allows you to included a button in your program that looks like a button of a CD-Player or something like that. Optionally the button can own a little on/off LED (red, green or blue) for using this button as a replacement for the normal RadioButton.

Methods:

GetLight

SetLight

See also:

How to install

How to register

Other controls

Other procucts


THifibtn.SetLight
THifiBtn.SetLight (Method)

Syntax:

procedure SetLight(bOn: Boolean): Boolean;

Description:

Sets the LED to the state bOn indicates. If the button hasn't got a LED this method will be ignored.

See also:

GetLight

The Hifibutton


THifibtn.GetLight
THifibtn.GetLight (Method)

Syntax:

function GetLight: Boolean;

Description:

Returns the LED-state of the button if it has one (True for ON and False for OFF).

See also:

SetLight

The Hifibutton


How to register

All SMWCC controls were created by:

Sebastian Modersohn Softwaredevelopment Heinestrasse 20 D 15370 Petershagen, Germany Phone: +49 33439 7462 CompuServe ID: 100340,1474

This is a shareware product. This allows you to try the software before you buy it. If after evaluating this control, you decide to continue using it, you are required to register the software by remitting the registration fee of $10 to us.

To register "GO SWREG" inside CompuServe and register this control (HifiButton) with the database ID 4675.

After CompuServe has send us your User ID we will send the source code of the control via E-Mail as quickly as possible to you.

See also:

Other controls

Other procucts


How to install

You can copy the files of the control in every directory you want. But you have to change the HelpFile constant in the constant-unit to the path of this helpfile, if you want to use this help inside Resource Workshop or in the demo application.

To install the custom controls for the Resource Workshop chosse the menu item Install Library... from the menu Options while you are editing a dialog. Then a file dialog occurs there you can select the DLL you want to install (HIFIBTNS.DLL).

If you want to remove a custom control or want to copy the DLL in an other directory you'll have to change the workshop.ini file in the WINDOWS directory (you'll see how and where).

To "install" a custom control for your program you should make sure that windows will find the library file. The most simply solution is to copy the DLL-files into the WINDOWS\SYSTEM directory.

If you do not want this, copy the DLL in a directory which is in your PATH statement in autoexec.bat or give the full path string to the LoadLibrary statement in the app's Init constructor, something like that:

...

DLL:=LoadLibrary('c:\myprog\dlls\name.dll');

...

See the demo code and the BP help for more information about loading librarys.

See also:

Other controls

Other procucts


Other controls of the SMWCC pack

Also available from

Sebastian Modersohn Softwaredevelopment Heinestrasse 20 D 15370 Petershagen, Germany Phone: +49 33439 7462 CompuServe ID: 100340,1474
are the following controls:

Name	  Description

Color Control	  This is a control to make color-choosing easier than to call an extra common-dialog!
-it supports the 16 base-colors
-You can choose 1 or 2 (foreground/background) colors
-supports keyboard and mouse selection
The unregistered version is available via CompuServe, forum BPASCAL, Library Windows Tools[10], file COLOR.ZIP. You can register The Color Control for $10 in the forum SWREG. The database ID of the Color control is 4671.

PercentBar	  This control is a "simply to use" percent bar.
-supports Ctl3D frame
-customizable filled color
The unregistered version is available via CompuServe, forum BPASCAL, Library Windows Tools[10], file PBAR.ZIP. You can register The Percent Bar control for $10 in the forum SWREG. The database ID of The percent bar is 4677.

Ctl3D Ctl	  The Ctl3D control allows you to have the Ctl3D outfit for your dialogs by simply placing it into a dialog (while editing the dialog in Resource Workshop too!)
The unregistered version is available via CompuServe, forum BPASCAL, Library Windows Tools[10], file 3DCTL.ZIP. You can register The Ctl3D Control for $10 in the forum SWREG. The database ID of the Ctl3D-control is 4672.

Font Control	  The Font control allows you to set a non-bold font for all controls specified by an ID-range.
The unregistered version is available via CompuServe, forum BPASCAL, Library Windows Tools [10], file FNTCTL.ZIP. You can register The Font Control for $5 in the forum SWREG. The database ID of Font is 4673.

MicroScroll	  The MicroScroll control is a mini-scrollbar which is normally used to increase or decrease the value of the corresponding edit control.
It can be partially disabled and supports units (for the edit values).
The unregistered version is available via CompuServe, forum BPASCAL, Library Windows Tools[10], file MSCROLL.ZIP. You can register the MicroScroll for $10 in the forum SWREG. The database ID of the MicroScroll is 4674.

Structo &	  This is a control for simply drawing everything you want inside a dialog, and scroll your drawing (We used it to display metafiles and to write structural charts in dialogs).
The unregistered version is available via CompuServe, forum BPASCAL, Library Windows Tools[10], file MBTN_STR.ZIP.
You can only register the control in connection with the MenuButton.

MenuButton	  This is a button which displays a local, customizable menu, if it was pressed.
The unregistered version is available via CompuServe, forum BPASCAL, Library Windows Tools[10], file MBTN_STR.ZIP.
You can register the Structo control in connection with the MenuButton for $10 in the forum SWREG. The database ID of this pack is 4676.

Text control	  This is a control for simply placing all kinds of text in a dialog (all fonts, styles, justifications, colors and effects possible!).
The unregistered version is available via CompuServe, forum BPASCAL, Library Windows Tools[10], file TEXT.ZIP. You can register the Text control for $10 in the forum SWREG. The database ID of the Text control is 4678.

See also:

Other procucts


Other products

Also available from

Sebastian Modersohn Softwaredevelopment Heinestrasse 20 D 15370 Petershagen, Germany Phone: +49 33439 7462 CompuServe ID: 100340,1474

are the following products:

Name	  Description

Clip Controls	  An BP7-tool for adding buttons to the caption bar of every kind of window by only adding one or two lines of code and some bitmaps for the outfit.
Features:
-supports Windows, MDI-Windows, MDI-Childs (with buttons in the menu bar if maximized), JanusWindows (from JanusW by Peter Sawatzki (necessary code included), see JANUSW.ZIP in BPASCAL for more info), Dialogs and tDlgWindows
-supports Ctl3D-dialogs!!!
-TOTALLY style-guide conform
-supports tips (little yellow text windows, known as hints too)
-demo code for all windows, if registered source code too
The unregistered version is available via CompuServe, forum BPASCAL, library Windows Tools[10], file CLIPCON.ZIP. You can register The Clip Controls for $10 in the forum SWREG. The database ID of The Clip Controls is 4195.

See also:

Other controls